Bug 164633 - autopartition failure "Unsatisfied partition request"
autopartition failure "Unsatisfied partition request"
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2005-07-29 11:06 EDT by Matthew Miller
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-24 17:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2005-07-29 11:06:13 EDT
Description of problem:

During the install on some new IBM xSeries 345 rackmount systems, if
autopartition is selected (or if kickstart is used), we get this error:

  Error Partitioning

  Could not allocate requested partitions:

  Unsatisfied partition request
  New Part Request - mountpoint: None uniqueID: 23
   type: physical volume (LVM) format: 1 badblocks: None
   device: None drive: ['sda'] primary: None
   size: 0 grow: 1 maxsize: None
   start: None end: None migrate: None origfstype: None.

Version-Release number of selected component (if applicable):

Happens with various versions of anaconda -- confirmed with, (rebuilt from RHEL) and (rebuilt from CentOS/RHEL).

How reproducible:


Steps to Reproduce:
1. pick autopartitioning or use kickstart
2. boom.
Actual results:

Error message as above

Expected results:

It works. :)

Additional info:

Appears fixed in FC4, but Paul Nasrat asked me to file a bug. So here it is.

Probably a dupe of bug #129528 or of super-top-secret bug #131325.

There's been quite a few changes in autopart.py from FC3->FC4, and if you know
what the specific problem is here, that'd be handy, 'cause then I could make the
minimal change locally. Thank you very much!
Comment 1 Matthew Miller 2006-07-10 19:42:59 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Red Hat Bugzilla 2007-06-11 22:53:21 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.